Building with PNG Delegate problems using libpng-1.6.32

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Post Reply
eiichi
Posts: 7
Joined: 2017-02-08T19:22:14-07:00
Authentication code: 1151

Building with PNG Delegate problems using libpng-1.6.32

Post by eiichi » 2017-08-26T23:48:27-07:00

I'm trying to build ImageMagick7.0.6-9 with png delegate on macOS 10.12.6.

1) Configure Options:

Code: Select all

export LDFLAGS="-L/usr/local/libpng/lib/"
export CPPFLAGS="-I/usr/local/libpng/include"
export PKG_CONFIG_PATH="/usr/local/libpng/lib/pkgconfig/"
./configure --prefix=/usr/local/magick --with-png
2) Using libpng-1.6.30, I can compile ending up with "PNG --with-png=yes yes" and succeed to build with png delegate.

3) Using libpng-1.6.32, configuration ends up with "PNG --with-png=yes no".

Is this a bug of "libpng-1.6.32" or "ImageMagick7.0.6-9"?

snibgo
Posts: 9380
Joined: 2010-01-23T23:01:33-07:00
Authentication code: 1151
Location: England, UK

Re: Building with PNG Delegate problems using libpng-1.6.32

Post by snibgo » 2017-08-27T00:08:00-07:00

I can't answer the question, but I suggest you read the config.log that IM made for more details about why "--with-png" failed.
snibgo's IM pages: im.snibgo.com

eiichi
Posts: 7
Joined: 2017-02-08T19:22:14-07:00
Authentication code: 1151

Re: Building with PNG Delegate problems using libpng-1.6.32

Post by eiichi » 2017-08-27T00:19:01-07:00

snibgo wrote:
2017-08-27T00:08:00-07:00
I can't answer the question, but I suggest you read the config.log that IM made for more details about why "--with-png" failed.
Thanks.

This is from config.log

Config.log using libpng-1.6.30:

Code: Select all

configure:33622: checking for PNG
configure:33629: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
configure:33632: $? = 0
configure:33646: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
configure:33649: $? = 0
configure:33687: result: yes
configure:33691: result:

Config.log using libpng-1.6.32:

Code: Select all

configure:33622: checking for PNG
configure:33629: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
Package zlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `zlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'zlib', required by 'libpng', not found
configure:33632: $? = 1
configure:33646: $PKG_CONFIG --exists --print-errors "libpng >= 1.0.0"
Package zlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `zlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'zlib', required by 'libpng', not found
configure:33649: $? = 1
configure:33663: result: no
Package 'zlib', required by 'libpng', not found
configure:33691: result:

eiichi
Posts: 7
Joined: 2017-02-08T19:22:14-07:00
Authentication code: 1151

Re: Building with PNG Delegate problems using libpng-1.6.32

Post by eiichi » 2017-08-27T01:05:12-07:00

I can solve the problem.

1) I installed zlib-1.2.11 into /usr/local/zlib.

2) Add configuration option:

Code: Select all

 export PKG_CONFIG_PATH="/usr/local/libpng2/lib/pkgconfig/:/usr/local/zlib/lib/pkgconfig/"
3) Using libpng-1.6.32, I can compile ending up with "PNG --with-png=yes yes" and succeed to build with png delegate.

Thanks.

Post Reply